#### 7.10.2.19 crystallographicGroupP31M

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP31M(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p31m group with the following presentation
  < x, y, r, t | [x, y] = r^2 = t^2 = (t*r)^3 = 1, r^(-1)*x*r = x, t^(-1)*y*t = y, t^(-1)*x*t = x^(-1)*y, r^(-1)*y*r = x*y^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP31M(6); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=y*x+x*y+r*r
    ==> I[3]=y*x+x*y+t*t
    ==> I[4]=r*r+1
    ==> I[5]=t*t+1
    ==> I[6]=t*r*t*r*t*r+1
    ==> I[7]=r*r+t*t
    ==> I[8]=t*r*t*r*t*r+y*x+x*y
    ==> I[9]=t*r*t*r*t*r+r*r
    ==> I[10]=t*r*t*r*t*r+t*t
    ==> I[11]=r*x*r+x
    ==> I[12]=t*y*t+y
    ==> I[13]=t*x*t+X*y
    ==> I[14]=r*y*r+x*Y
    ==> I[15]=X*x+1
    ==> I[16]=x*X+1
    ==> I[17]=Y*y+1
    ==> I[18]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.